package com.zd.laboratory.domain.dto;

import cn.hutool.core.util.StrUtil;
import com.zd.common.core.domain.qc.QCInterface;
import com.zd.laboratory.interfaces.SysProperties;
import io.swagger.annotations.ApiModelProperty;

public class LabHazardNewVo implements QCInterface {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 中文名称
     */
    @ApiModelProperty("中文名称")
    private String chName;

    /**
     * 编号
     */
    @ApiModelProperty(value = "编号")
    private String code;
    /**
     * 内容
     */
    @ApiModelProperty(value = "内容")
    private String content;
    /**
     * 二维码地址
     */
    @ApiModelProperty(value = "二维码地址")
    private String qrCodeUrl;
    /**
     * 查看次数
     */
    @ApiModelProperty(value = "查看次数")
    private Integer scanCount = 0;

    private String subName;

    /**
     * 危险源别名
     */
    private String anotherName;

    /**
     * 编号别名
     */
    private String anotherCode;

    /**
     * 危险源类型（查看字典表lab_hazard_type）
     */
    @ApiModelProperty(value = "危险源类型（查看字典表lab_hazard_type）")
    private Integer hazardTypeMode;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getChName() {
        return chName;
    }

    public void setChName(String chName) {
        this.chName = chName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public void setQrCodeUrl(String qrCodeUrl) {
        this.qrCodeUrl = qrCodeUrl;
    }

    public Integer getScanCount() {
        return scanCount;
    }

    public void setScanCount(Integer scanCount) {
        this.scanCount = scanCount;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getAnotherName() {
        return anotherName;
    }

    public void setAnotherName(String anotherName) {
        this.anotherName = anotherName;
    }

    public String getAnotherCode() {
        return anotherCode;
    }

    public void setAnotherCode(String anotherCode) {
        this.anotherCode = anotherCode;
    }

    @Override
    public String getQrCodeUrl() {
        return StrUtil.format(SysProperties.getQrcodeFormat(),id, 3) ;
    }

    public Integer getHazardTypeMode() {
        return hazardTypeMode;
    }

    public void setHazardTypeMode(Integer hazardTypeMode) {
        this.hazardTypeMode = hazardTypeMode;
    }
}
